Class | Chef::Mixin::Language::PlatformDependentValue
In: | lib/chef/mixin/language.rb
Parent: | Object

Implementation class for determining platform dependent values

### Methods

new value_for_node

### Public Class methods

new(platform_hash)

Create a platform dependent value object.

### Arguments

platform_hash (Hash) a hash of the same structure as Chef::Platform, like this:

      {
        :debian => {:default => 'the value for all debian'}
        [:centos, :redhat, :fedora] => {:default => "value for all EL variants"}
        :ubuntu => { :default => "default for ubuntu", '10.04' => "value for 10.04 only"},
        :default => "the default when nothing else matches"
      }

- platforms can be specified as Symbols or Strings
- multiple platforms can be grouped by using an Array as the key
- values for platforms need to be Hashes of the form: {platform_version => value_for_that_version}
- the exception to the above is the default value, which is given as :default => default_value

### Public Instance methods

value_for_node(node)

[Validate]